#!/bin/bash

export GWIBBER_PATH="/usr/share/pyshared/gwibber"
export GWIBBER_DATA_PATH="/usr/share/gwibber"
export GWIBBER_LINK_PATH="/usr/lib/python2.6/dist-packages/gwibber"

basedir=`dirname $0`
cd $basedir/../

detect () {
    if [ `grep sina $GWIBBER_LINK_PATH/microblog/dispatcher.py | wc -l` -gt 0 ]
    then
        echo "sina plugin is detected on your system, please uninstall it firstly"
        exit 1
    fi

    if [ `which patch | wc -l` -eq 0 ]
    then
        echo "'sed' is not found in your system, please install it."
        exit 1
    fi
}

detect

echo "installing sina microblog files for gwibber"
cp gwibber/microblog/sina.py $GWIBBER_PATH/microblog/sina.py
ln -s $GWIBBER_PATH/microblog/sina.py $GWIBBER_LINK_PATH/microblog/sina.py
cp gwibber/lib/gtk/sina.py $GWIBBER_PATH/lib/gtk/sina.py
ln -s $GWIBBER_PATH/lib/gtk/sina.py $GWIBBER_LINK_PATH/lib/gtk/sina.py
cp gwibber/microblog/util/sinaresources.py $GWIBBER_PATH/microblog/util/sinaresources.py
ln -s $GWIBBER_PATH/microblog/util/sinaresources.py $GWIBBER_LINK_PATH/microblog/util/sinaresources.py

echo "adding sina microblog protocol"
cp $GWIBBER_PATH/microblog/dispatcher.py $GWIBBER_PATH/microblog/dispatcher.py.backup
sed -e '8i\import sina' -e '43i\  "sina":sina,' $GWIBBER_PATH/microblog/dispatcher.py.backup > $GWIBBER_PATH/microblog/dispatcher.py
cp $GWIBBER_PATH/lib/gtk/__init__.py $GWIBBER_PATH/lib/gtk/__init__.py.backup
sed 's/"twitter"/"twitter", "sina"/' $GWIBBER_PATH/lib/gtk/__init__.py.backup > $GWIBBER_PATH/lib/gtk/__init__.py

echo "installing related icons"
cp ui/gwibber-accounts-sina.ui $GWIBBER_DATA_PATH/ui/gwibber-accounts-sina.ui
cp ui/icons/breakdance/16x16/* $GWIBBER_DATA_PATH/ui/icons/breakdance/16x16
cp ui/icons/breakdance/22x22/* $GWIBBER_DATA_PATH/ui/icons/breakdance/22x22
cp ui/icons/breakdance/scalable/* $GWIBBER_DATA_PATH/ui/icons/breakdance/scalable

echo "installation completed"
